Networks
Create network route
post
/networks/{network_id}/routesAdd a custom route that directs traffic for a CIDR through a target IP, server, or baremetal in your network.
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Path parameters
network_id*integer
Range
1 ≤ valueRequest body
application/jsonRequired
destination*string
next_hop_type*NextHopType
Value in
"ip""vps""baremetal"next_hop_target*string
description?string | null
Responses
Successful Response
application/json
detail*string
route_id*string
destination*string
next_hop_type*string
next_hop_target*string